wcr = wcr or {}

local function AddClient(fil)
	if SERVER then
		AddCSLuaFile(fil)
	end
	if CLIENT then
		return include(fil)
	end
end

local function AddServer(fil)
	if SERVER then
		return include(fil)
	end
end

local function AddShared(fil)
	include(fil)
	AddCSLuaFile(fil)
end

AddShared("wcarradio/sh_ext.lua")
AddShared("wcarradio/sh_wcr_util.lua")
AddShared("wcarradio/sh_wcr_config.lua")
AddShared("wcarradio/sh_wcr_stations.lua")
wcr.tdui = AddClient("wcarradio/cl_lib_tdui.lua")
AddClient("wcarradio/cl_carstereo.lua")
AddClient("wcarradio/cl_carfui.lua")
AddClient("wcarradio/cl_wcr_soundmuffler.lua")
AddServer("wcarradio/sv_carstereo.lua")